<div class="container">
  <div class="row">
    <hr />
    <div class="col-md-9" >
      <div class="row post">
        <div class="col-md-1">
          <app-like-button [post]="post"></app-like-button>
        </div>
        <div class="col-md-11">
          <span>
            <a class="username" href="">User {{post.userName}}</a>
            <span> posted
              <span> {{post.duration}} </span>
              
            </span>
          </span>
          <hr />
          <a routerLink="post.url" class="post-title">{{post.postName}}</a>
          <div>
            <p class="post-text" [innerHtml]="post.post"></p>
          </div>
          <div class="post-comment">
            <form [formGroup]="commentForm" (ngSubmit)="postComment()">
              <div class="form-group">
                <textarea class="form-control" [formControlName]="'comment'" placeholder="Your Thoughts?"></textarea>
              </div>
              <button type="submit" class="login float-right">Comment</button>
            </form>
          </div>
          <div style="margin-top: 60px;" *ngFor="let comment of comments">
            <div class="comment">
              <div class="username">
                <a routerLink="/user/comment.username">{{comment.userName}}</a>
              </div>
              <div>
                <p>{{comment.duration}}</p>
              </div>
              <b>{{comment.comment}}</b>
            </div>
            <hr />
          </div>
        </div>
      </div>
    </div>
    <div class="col-md-3">
    </div>
  </div>
</div>